Bug 527933 - [fix available] OpenOffice.org 2.3 looses bullet formatting when importing from OOo 3.x
Summary: [fix available] OpenOffice.org 2.3 looses bullet formatting when importing fr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openoffice.org
Version: 5.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Caolan McNamara
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-08 09:35 UTC by Olivier Fourdan
Modified: 2018-10-27 14:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 08:45:10 UTC
Target Upstream Version:


Attachments (Terms of Use)
Proposed patch (31.05 KB, patch)
2009-10-08 09:35 UTC, Olivier Fourdan
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
OpenOffice.org 91466 0 None None None Never
Red Hat Product Errata RHBA-2010:0274 0 normal SHIPPED_LIVE openoffice.org bug fix and enhancement update 2010-03-29 13:52:09 UTC

Description Olivier Fourdan 2009-10-08 09:35:34 UTC
Created attachment 364070 [details]
Proposed patch

Description of problem:

OOo < 3.0 did not save bullets in valid ODF format. Fixing that in 3.0 broke compatibility with (presumably invalid) earlier versions of OOo.

As a result, opening a document produced on a later version of OOo in OOo 2.3.0 in EL5 does not render the bullets and numbering correctly.

Version-Release number of selected component (if applicable):

openoffice.org-2.3.0-6.11

How reproducible:

100% repducible

Steps to Reproduce:
1. Create a document containing bullets and numbering in OOo 3.x
2. Open that document in OOo 2.3.0 in EL5
  
Actual results:

The bullets and numbering are not rendered

Expected results:

The bullets and numbering are rendered correctly

Additional info:

This is bug 91466 upstream:

    http://www.openoffice.org/issues/show_bug.cgi?id=91466

Which was fixed in OOo 2.4.3. 

Development of the fix occurred in branch "clbulletfix" in CVS (tag cws_ooh680_clbulletfix) 

The following commits occurred on that branch:

http://graphics.openoffice.org/source/browse/graphics/svx/source/svdraw/svdmodel.cxx?r1=1.75.216.1&r2=1.75.216.1.4.1 
http://graphics.openoffice.org/source/browse/graphics/svx/source/svdraw/svdoutlinercache.cxx?r1=1.5&r2=1.5.122.1 
http://graphics.openoffice.org/source/browse/graphics/sd/source/filter/xml/sdtransform.cxx?rev=1.4.34.2&content-type=text/vnd.viewcvs-markup 
http://graphics.openoffice.org/source/browse/graphics/svx/source/outliner/outliner.cxx?r1=1.70.122.1&r2=1.70.122.2 
http://graphics.openoffice.org/source/browse/graphics/svx/source/outliner/outliner.cxx?r1=1.70&r2=1.70.122.1 
http://xml.openoffice.org/source/browse/xml/xmloff/source/meta/xmlmetai.cxx?r1=1.26.92.3&r2=1.26.92.3.10.1 
http://xml.openoffice.org/source/browse/xml/xmloff/source/core/xmlimp.cxx?r1=1.99.100.3&r2=1.99.100.3.10.1 
http://xml.openoffice.org/source/browse/xml/xmloff/source/text/txtimp.cxx?r1=1.132.66.2&r2=1.132.66.2.10.1 
http://graphics.openoffice.org/source/browse/graphics/sd/source/filter/xml/sdxmlwrp.cxx?r1=1.66.128.1&r2=1.66.128.2 
http://graphics.openoffice.org/source/browse/graphics/svx/inc/svx/svdmodel.hxx?r1=1.4.244.1&r2=1.4.244.2 
http://graphics.openoffice.org/source/browse/graphics/svx/source/svdraw/svdmodel.cxx?r1=1.75.216.1.4.1&r2=1.75.216.1.4.2 
http://graphics.openoffice.org/source/browse/graphics/svx/source/svdraw/svdoutlinercache.cxx?r1=1.5.122.1&r2=1.5.122.2 
http://graphics.openoffice.org/source/browse/graphics/svx/inc/svx/outliner.hxx?r1=1.3&r2=1.3.38.1 
http://graphics.openoffice.org/source/browse/graphics/svx/inc/svx/svdmodel.hxx?r1=1.4&r2=1.4.244.1 
http://graphics.openoffice.org/source/browse/graphics/svx/source/inc/svdoutlinercache.hxx?r1=1.2&r2=1.2.38.1 
http://xml.openoffice.org/source/browse/xml/xmloff/inc/xmloff/xmlimp.hxx?r1=1.3.148.2&r2=1.3.148.2.10.1 
http://graphics.openoffice.org/source/browse/graphics/svx/inc/svx/outliner.hxx?r1=1.3.38.1&r2=1.3.38.2 
http://graphics.openoffice.org/source/browse/graphics/sd/source/filter/xml/makefile.mk?r1=1.5&r2=1.5.236.1 
http://graphics.openoffice.org/source/browse/graphics/sd/source/filter/xml/sdxmlwrp.cxx?r1=1.66&r2=1.66.128.1 
http://graphics.openoffice.org/source/browse/graphics/sd/source/filter/xml/sdtransform.cxx?rev=1.4.36.2&content-type=text/vnd.viewcvs-markup 

The following files are impacted:

    sd/source/filter/xml/makefile.mk
    sd/source/filter/xml/sdtransform.cxx
    sd/source/filter/xml/sdxmlwrp.cxx
    svx/inc/svx/outliner.hxx
    svx/inc/svx/svdmodel.hxx
    svx/source/inc/svdoutlinercache.hxx
    svx/source/outliner/outliner.cxx
    svx/source/svdraw/svdmodel.cxx
    svx/source/svdraw/svdoutlinercache.cxx
    xmloff/inc/xmloff/xmlimp.hxx
    xmloff/source/core/xmlimp.cxx
    xmloff/source/meta/xmlmetai.cxx
    xmloff/source/text/txtimp.cxx 

The attached patch is a backport of each of these commits. It builds and seems to give appropriate results (might need more testing though).

Comment 1 Caolan McNamara 2009-10-08 09:47:33 UTC
I don't have a problem with adding the backport in. Though there's always the outside chance that we might rebase RHEL-5's OOo to something newer as well.

Comment 5 Stephan Wiesand 2009-12-23 19:29:18 UTC
Please rebase. OOo 2.x is antique. Sticking with 2.x in RHEL 5 would be fine if we had an RHEL 6. But that's not the case, and won't be for many months at least  (*please* prove me wrong). 

RHEL on desktops is really becoming a joke.

Comment 9 XinSun 2010-01-04 10:02:46 UTC
According to Comment #8, check this bug with openoffice.org-3.1.1-19.1.el5 on follow platforms:
Red Hat Enterprise Linux Client release 5.4 - i386, x86_64
Red Hat Enterprise Linux Server release 5.4 - i386, x86_64

Do follow steps to check:
1.Open the 1.odf file (http://www.openoffice.org/nonav/issues/showattachment.cgi/55007/1.odp) in openoffice.org-2.3.0-6.11.el5, then you *can not* see the bullet format in it

2.Open this file in openoffice.org-3.1.1-19.1.el5, then you *can* see the bullet format in it.

So this bug fixed on openoffice.org-3.1.1-19.1.el5, change this bug's status to verified.

Comment 11 errata-xmlrpc 2010-03-30 08:45:10 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0274.html


Note You need to log in before you can comment on or make changes to this bug.